export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/channel',
          },
          // {
          //   path: '/welcome',
          //   name: '首页',
          //   component: './Welcome',
          // },
          {
            path: '/channel',
            name: '渠道列表',
            component: './channel',
          },
          {
            path: '/channel/edit',
            name: '渠道列表',
            hideInMenu: true,
            component: './channel/edit',
          },
          {
            path: '/sample',
            name: 'H5样例管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/sample/h5/list',
                name: 'H5样例',
                component: './sample/h5/index',
              },
              {
                path: '/sample/h5/edit',
                name: 'H5样例编辑',
                hideInMenu: true,
                component: './sample/h5/edit',
              },
              {
                path: '/sample/demand/list',
                name: 'H5需求单',
                component: './sample/demand/index',
              },
              {
                path: '/sample/demand/edit',
                name: 'H5需求单详情',
                hideInMenu: true,
                component: './sample/demand/edit',
              },
              {
                path: '/sample/h5/h5Sample',
                name: 'H5模板',
                component: './sample/h5/h5Sample',
              },
            ],
          },
          {
            path: '/fundManagement',
            name: '资金管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/fundManagement/RechargeOrder',
                name: '充值订单',
                component: './fundManagement/RechargeOrder',
              },
              {
                path: '/fundManagement/ConsumeOrder',
                name: '消费订单',
                component: './fundManagement/ConsumeOrder',
              },
              {
                path: '/fundManagement/RefundOrder',
                name: '退款订单',
                component: './fundManagement/RefundOrder',
              },
              {
                path: '/fundManagement/AccountManagement',
                name: '账户管理',
                component: './fundManagement/AccountManagement',
              },
              {
                path: '/fundManagement/AccountDetail',
                name: '账户详情',
                hideInMenu: true,
                component: './fundManagement/AccountDetail',
              },
              {
                path: '/fundManagement/Finance',
                name: '财务联系人',
                component: './fundManagement/Finance',
              },
            ],
          },
          {
            path: '/contact',
            name: '联系人管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/contact/contact/list',
                name: '联系人',
                component: './contact/contact/list',
              },
              {
                path: '/contact/contact/add',
                name: '新增',
                hideInMenu: true,
                component: './contact/contact/add',
              },
              {
                path: '/contact/contact/detail',
                name: '详情',
                hideInMenu: true,
                component: './contact/contact/detail',
              },
            ],
          },
          {
            path: '/resource',
            name: '资源位管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/resource/openScreen',
                name: '开屏通知',
                component: './resource/openScreen',
              },
              {
                path: '/resource/openScreen/add',
                name: '新增',
                hideInMenu: true,
                component: './resource/openScreen/edit',
              },
              {
                path: '/resource/openScreen/edit',
                name: '开屏通知编辑',
                hideInMenu: true,
                component: './resource/openScreen/edit',
              },
            ],
          },
          {
            path: '/eContract',
            name: '电子合同',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/eContract/company/list',
                name: '企业认证管理',
                component: './eContract/company/index',
              },
              {
                path: '/eContract/company/add',
                name: '新增企业认证',
                hideInMenu: true,
                component: './eContract/company/add',
              },
              {
                path: '/eContract/company/edit',
                name: '编辑企业认证',
                hideInMenu: true,
                component: './eContract/company/edit',
              },
              {
                path: '/eContract/seal/list',
                name: '印章管理',
                component: './eContract/seal/list',
              },
              {
                path: '/eContract/seal/detail',
                name: '印章管理',
                hideInMenu: true,
                component: './eContract/seal/detail',
              },
              {
                path: '/eContract/relatedOrganization',
                name: '关联组织',
                component: './eContract/relatedOrganization',
              },
              {
                path: '/eContract/relatedOrganization/add',
                name: '新增关联组织',
                hideInMenu: true,
                component: './eContract/relatedOrganization/add',
              },
              {
                path: '/eContract/signedContract',
                name: '已签署合同',
                component: './eContract/signedContract',
              },
            ],
          },
          {
            path: '/officenews',
            name: '资讯管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/officenews/index',
                name: '资讯管理',
                component: './officenews/index',
              },
              {
                path: '/officenews/edit',
                name: '资讯编辑',
                hideInMenu: true,
                component: './officenews/edit',
              },
              {
                path: '/officenews/detail',
                name: '资讯查看',
                hideInMenu: true,
                component: './officenews/detail',
              },
            ],
          },
          {
            path: '/promote',
            name: '推广表单',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/promote/index',
                name: '推广表单',
                component: './promote/index',
              },
              {
                path: '/promote/contact',
                name: '联系人列表',
                component: './promote/contact',
              },
              {
                path: '/promote/detail',
                name: '查看详情',
                hideInMenu: true,
                component: './promote/detail',
              },
            ],
          },

          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
